import 'dart:typed_data';

final frameValuesBytes = [
// 0
  Uint8List.fromList([0]),
// 555
  Uint8List.fromList([0]),
// 123
  Uint8List.fromList([0]),
// 0
  Uint8List.fromList([4, 8, 0, 0, 0, 73, 110, 116, 32, 107, 101, 121, 49]),
// 1
  Uint8List.fromList([4, 8, 0, 0, 0, 73, 110, 116, 32, 107, 101, 121, 50]),
// 29
  Uint8List.fromList([4, 8, 0, 0, 0, 73, 110, 116, 32, 107, 101, 121, 51]),
// Tombstone frame
  Uint8List.fromList([0]),
// Null frame
  Uint8List.fromList([0]),
// Int
  Uint8List.fromList([1, 0, 0, 0, 204, 214, 90, 157, 65]),
// Large int
  Uint8List.fromList([1, 0, 0, 0, 0, 0, 0, 65, 64]),
// Bool true
  Uint8List.fromList([3, 1]),
// Bool false
  Uint8List.fromList([3, 0]),
// Float
  Uint8List.fromList([2, 10, 129, 92, 226, 126, 12, 200, 64]),
// Unicode string
  Uint8List.fromList([
    4,
    80,
    0,
    0,
    0,
    65,
    32,
    102,
    101,
    119,
    32,
    99,
    104,
    97,
    114,
    97,
    99,
    116,
    101,
    114,
    115,
    32,
    119,
    104,
    105,
    99,
    104,
    32,
    97,
    114,
    101,
    32,
    110,
    111,
    116,
    32,
    65,
    83,
    67,
    73,
    73,
    58,
    32,
    240,
    159,
    135,
    181,
    240,
    159,
    135,
    172,
    32,
    240,
    159,
    152,
    128,
    32,
    240,
    159,
    144,
    157,
    32,
    234,
    177,
    159,
    32,
    239,
    188,
    132,
    32,
    228,
    185,
    189,
    32,
    240,
    159,
    145,
    168,
    226,
    128,
    141,
    240,
    159,
    154,
    128
  ]),
// Empty list
  Uint8List.fromList([10, 0, 0, 0, 0]),
// Byte list
  Uint8List.fromList([5, 4, 0, 0, 0, 1, 12, 123, 210]),
// Byte list with mask
  Uint8List.fromList([5, 5, 0, 0, 0, 144, 169, 1, 2, 3]),
// Int list
  Uint8List.fromList([
    6,
    3,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    192,
    94,
    64,
    0,
    0,
    0,
    0,
    0,
    128,
    124,
    64,
    0,
    0,
    0,
    120,
    245,
    212,
    158,
    65
  ]),
// Bool list
  Uint8List.fromList([8, 4, 0, 0, 0, 1, 0, 0, 1]),
// Double list
  Uint8List.fromList([
    7,
    5,
    0,
    0,
    0,
    246,
    227,
    64,
    89,
    66,
    88,
    36,
    64,
    0,
    0,
    0,
    0,
    0,
    0,
    240,
    127,
    255,
    255,
    255,
    255,
    255,
    255,
    239,
    127,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    240,
    255
  ]),
// String list
  Uint8List.fromList([
    9,
    6,
    0,
    0,
    0,
    5,
    0,
    0,
    0,
    104,
    101,
    108,
    108,
    111,
    40,
    0,
    0,
    0,
    240,
    159,
    167,
    153,
    226,
    128,
    141,
    226,
    153,
    130,
    239,
    184,
    143,
    32,
    240,
    159,
    145,
    168,
    226,
    128,
    141,
    240,
    159,
    145,
    168,
    226,
    128,
    141,
    240,
    159,
    145,
    167,
    226,
    128,
    141,
    240,
    159,
    145,
    166,
    32,
    24,
    0,
    0,
    0,
    32,
    239,
    187,
    172,
    32,
    239,
    187,
    173,
    32,
    239,
    187,
    174,
    32,
    239,
    187,
    175,
    32,
    239,
    187,
    176,
    32,
    239,
    187,
    177,
    12,
    0,
    0,
    0,
    224,
    180,
    133,
    32,
    224,
    180,
    134,
    32,
    224,
    180,
    135,
    32,
    17,
    0,
    0,
    0,
    32,
    239,
    173,
    134,
    32,
    239,
    173,
    135,
    32,
    239,
    173,
    136,
    32,
    239,
    173,
    137,
    32,
    32,
    0,
    0,
    0,
    239,
    189,
    169,
    32,
    239,
    189,
    170,
    32,
    239,
    189,
    171,
    32,
    239,
    189,
    172,
    32,
    239,
    189,
    173,
    32,
    239,
    189,
    174,
    32,
    239,
    189,
    175,
    32,
    239,
    189,
    176,
    32
  ]),
// List with null
  Uint8List.fromList([
    10,
    5,
    0,
    0,
    0,
    4,
    4,
    0,
    0,
    0,
    84,
    104,
    105,
    115,
    4,
    2,
    0,
    0,
    0,
    105,
    115,
    4,
    1,
    0,
    0,
    0,
    97,
    4,
    4,
    0,
    0,
    0,
    116,
    101,
    115,
    116,
    0
  ]),
// List with different types
  Uint8List.fromList([
    10,
    6,
    0,
    0,
    0,
    4,
    4,
    0,
    0,
    0,
    76,
    105,
    115,
    116,
    6,
    3,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    240,
    63,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    64,
    0,
    0,
    0,
    0,
    0,
    0,
    8,
    64,
    2,
    51,
    51,
    51,
    51,
    51,
    51,
    23,
    64,
    3,
    1,
    1,
    0,
    0,
    0,
    64,
    254,
    137,
    103,
    65,
    11,
    2,
    0,
    0,
    0,
    4,
    1,
    0,
    0,
    0,
    116,
    3,
    1,
    4,
    1,
    0,
    0,
    0,
    102,
    3,
    0
  ]),
// Map
  Uint8List.fromList([
    11,
    7,
    0,
    0,
    0,
    4,
    4,
    0,
    0,
    0,
    66,
    111,
    111,
    108,
    3,
    1,
    4,
    3,
    0,
    0,
    0,
    73,
    110,
    116,
    1,
    0,
    0,
    0,
    0,
    0,
    72,
    147,
    64,
    4,
    6,
    0,
    0,
    0,
    68,
    111,
    117,
    98,
    108,
    101,
    2,
    102,
    102,
    102,
    102,
    102,
    102,
    47,
    64,
    4,
    6,
    0,
    0,
    0,
    83,
    116,
    114,
    105,
    110,
    103,
    4,
    5,
    0,
    0,
    0,
    72,
    101,
    108,
    108,
    111,
    4,
    4,
    0,
    0,
    0,
    76,
    105,
    115,
    116,
    10,
    3,
    0,
    0,
    0,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    240,
    63,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    64,
    0,
    4,
    4,
    0,
    0,
    0,
    78,
    117,
    108,
    108,
    0,
    4,
    3,
    0,
    0,
    0,
    77,
    97,
    112,
    11,
    2,
    0,
    0,
    0,
    4,
    3,
    0,
    0,
    0,
    75,
    101,
    121,
    4,
    3,
    0,
    0,
    0,
    86,
    97,
    108,
    4,
    4,
    0,
    0,
    0,
    75,
    101,
    121,
    50,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    64
  ]),
// DateTime test
  Uint8List.fromList([
    10,
    2,
    0,
    0,
    0,
    16,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    16,
    0,
    192,
    26,
    47,
    64,
    204,
    118,
    66
  ]),
// BigInt Test
  Uint8List.fromList([
    17,
    40,
    49,
    50,
    51,
    52,
    53,
    54,
    55,
    56,
    57,
    48,
    49,
    50,
    51,
    52,
    53,
    54,
    55,
    56,
    57,
    48,
    49,
    50,
    51,
    52,
    53,
    54,
    55,
    56,
    57,
    48,
    49,
    50,
    51,
    52,
    53,
    54,
    55,
    56,
    57,
    48
  ]),
];
